Bug 477355 - yum doesn't summarize the resolution of deps
yum doesn't summarize the resolution of deps
Status: CLOSED DUPLICATE of bug 478403
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 17:20 EST by Karol Trzcionka
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 11:19:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karol Trzcionka 2008-12-20 17:20:03 EST
Description of problem:
If you use yum with locales, yum won't summarize the resolution of deps (won't show table with listing of packages to install/update/remove).

How reproducible:
Always

Steps to Reproduce:
1. LANG=pl_PL.UTF-8 yum remove yum
  
Actual results:
[root@rawhide ~]# yum update kernel
Ustawianie procesu aktualizacji
--> Wykonywanie sprawdzania transakcji
---> Pakiet kernel.x86_64 0:2.6.28-0.138.rc9.fc11 zostanie zainstalowany
W porządku? [t/N]:

(it is like:
Setting up Update Process
--> Running transaction check
---> Package kernel.x86_64 0:2.6.28-0.138.rc9.fc11 set to be installed
Is this ok [y/N]:
)

Expected results:
"[root@rawhide ~]# yum update kernel
Ustawianie procesu aktualizacji
Rozwiązywanie zależności
--> Wykonywanie sprawdzania transakcji
---> Pakiet kernel.x86_64 0:2.6.28-0.138.rc9.fc11 zostanie zainstalowany
--> Zakończono rozwiązywanie zależności

Rozwiązano zależności

============================================================================================================================================
 Pakiet                      Arch                         Wersja                                      Repositorium                  Rozmiar
============================================================================================================================================
Instalowanie:
 kernel                       x86_64                       2.6.28-0.138.rc9.fc11                        rawhide                        22 M

Podsumowanie transakcji
============================================================================================================================================
Instalowanie      1 Pakiet(y)
Aktualizacja      0 Pakiet(y)
Usuwanie          0 Pakiet(y)

Całkowity rozmiar pobierania: 22 M
W porządku? [t/N]:"
Comment 1 James Antill 2008-12-21 02:52:02 EST
 What version? The latest version seems to work fine for me on Fedora 9 (and Fedora 10 shouldn't be any different).

 But this is probably related to what you have installed/available ... can you do "yum repolist" and "LANG=C yum repolist"?
 And do any of these look bad/weird:

msgid "Installing"
msgstr "Instalowanie"
msgid "Updating"
msgstr "Aktualizowanie"
msgid "Removing"
msgstr "Usuwanie"

msgid "Installing for dependencies"
msgstr "Instalowanie, aby rozwiązać zależności"
msgid "Updating for dependencies"
msgstr "Aktualizowanie, aby rozwiązać zależności"
msgid "Removing for dependencies"
msgstr "Usuwanie, aby rozwiązać zależności"

msgid ""
"     replacing  %s.%s %s\n"
"\n"
msgstr ""
"     zastępuje  %s.%s %s\n"
"\n"
Comment 2 Karol Trzcionka 2008-12-21 06:13:56 EST
See above: Version: Rawhide
I don't know which exactly version but bug has been since I updated system after release f10.
All msgs you listed looks ok.
[root@rawhide ~]# LANG=C yum repolist
Loaded plugins: refresh-packagekit
repo id                                  repo name                                                                            status
adobe-linux-i386                         Adobe Systems Incorporated                                                           enabled:    17
rawhide                                  Fedora - Rawhide - Developmental packages for the next Fedora release                enabled: 14783
rpmfusion-free                           RPM Fusion for Fedora 10.90 - Free                                                   enabled:   356
rpmfusion-free-updates                   RPM Fusion for Fedora 10.90 - Free - Updates                                         enabled:    85
rpmfusion-nonfree                        RPM Fusion for Fedora 10.90 - Nonfree                                                enabled:   137
rpmfusion-nonfree-updates                RPM Fusion for Fedora 10.90 - Nonfree - Updates                                      enabled:    30
repolist: 15408
[root@rawhide ~]# yum repolist
Wczytane wtyczki: refresh-packagekit
ID repozytorium                         nazwa repozytorium                                                                   stan
repolist: 15408
Comment 3 James Antill 2009-01-07 11:19:33 EST

*** This bug has been marked as a duplicate of bug 478403 ***

Note You need to log in before you can comment on or make changes to this bug.